WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Class ExoticOptionsConstants

    java.lang.Object
      |
      +--webcab.lib.finance.options.exotic.ExoticOptionsConstants

public final class ExoticOptionsConstants
extends Object

This class defines constants used by the Exotic Options classes methods.

Field Summary
`static int` `AMERICAN` This constant identifies American style options.
`static int` `ASIAN_ARITHMETIC` This constant identifies Asian options with arithmetic average.
`static int` `ASIAN_GEOMETRIC` This constant identifies Asian options with geometric average.
`static int` `BEAR` This constant identifies a bear spread (a strategy that benefits from a falling market)
`static int` `BT_DIRICHLET` This constant must be returned by the method type() of your implementation of the boundary conditions (in the current implementation, only Dirichlet-type boundary conditions can be supplied by the user).
`static int` `BT_SECOND_ORDER` The method type() of the class SecondOrderBoundaries returns this constant.
`static int` `BULL` This constant identifies a bull spread (a strategy that benefits from a rising market)
`static int` `CALL` This constant identifies Call options
`static int` `CRANCK_NICHOLSON` This constant identifies the Cranck-Nicholson finite differencing algorithm
`static int` `EUROPEAN` This constant identifies European style options.
`static int` `EXPLICIT` This constant identifies the explicit finite differencing algorithm
`static int` `FULLY_IMPLICIT` This constant identifies the fully implicit finite differencing algorithm
`static int` `LONG` This constant identifies a long position (that is buying the underlying)
`static int` `LOOKBACK_MAX` This constant identifies lookback options, with the maximum asset price realized from inception date until expiry as path dependent value.
`static int` `LOOKBACK_MIN` This constant identifies lookback options, with the minimum asset price realized from inception date until expiry as path dependent value.
`static int` `NON_SPD` This constant identifies non strogly path dependent options (vanilla options).
`static int` `PUT` This constant identifies Put options
`static int` `RATE` This constant identifies a rate option (applies only to Asian and Lookback options) Another name for rate options is price options.
`static int` `SHORT` This constant identifies a short position (that is selling the underlying)
`static int` `STRIKE` This constant identifies a strike option (applies only to Asian and Lookback options) Lookback strike options are known also as floating strike lookback options.

Constructor Summary
`ExoticOptionsConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CALL

    public static final int CALL

  This constant identifies Call options

  See Also:
    Constant Field Values

### PUT

    public static final int PUT

  This constant identifies Put options

  See Also:
    Constant Field Values

### LONG

    public static final int LONG

  This constant identifies a long position (that is buying the underlying)

  See Also:
    Constant Field Values

### SHORT

    public static final int SHORT

  This constant identifies a short position (that is selling the underlying)

  See Also:
    Constant Field Values

### STRIKE

    public static final int STRIKE

  This constant identifies a strike option (applies only to Asian and Lookback options) Lookback strike options are known also as floating strike lookback options.

  See Also:
    Constant Field Values

### RATE

    public static final int RATE

  This constant identifies a rate option (applies only to Asian and Lookback options) Another name for rate options is price options. Lookback rate (price) options are called also strike lookback options

  See Also:
    Constant Field Values

### BULL

    public static final int BULL

  This constant identifies a bull spread (a strategy that benefits from a rising market)

  See Also:
    Constant Field Values

### BEAR

    public static final int BEAR

  This constant identifies a bear spread (a strategy that benefits from a falling market)

  See Also:
    Constant Field Values

### BT_DIRICHLET

    public static final int BT_DIRICHLET

  This constant must be returned by the method type() of your implementation of the boundary conditions (in the current implementation, only Dirichlet-type boundary conditions can be supplied by the user).

  See Also:
    Constant Field Values

### BT_SECOND_ORDER

    public static final int BT_SECOND_ORDER

  The method type() of the class SecondOrderBoundaries returns this constant. You will never need to use it.

  See Also:
    Constant Field Values

### EUROPEAN

    public static final int EUROPEAN

  This constant identifies European style options.

  See Also:
    Constant Field Values

### AMERICAN

    public static final int AMERICAN

  This constant identifies American style options.

  See Also:
    Constant Field Values

### ASIAN_ARITHMETIC

    public static final int ASIAN_ARITHMETIC

  This constant identifies Asian options with arithmetic average.

  See Also:
    Constant Field Values

### ASIAN_GEOMETRIC

    public static final int ASIAN_GEOMETRIC

  This constant identifies Asian options with geometric average.

  See Also:
    Constant Field Values

### LOOKBACK_MAX

    public static final int LOOKBACK_MAX

  This constant identifies lookback options, with the maximum asset price realized from inception date until expiry as path dependent value.

  See Also:
    Constant Field Values

### LOOKBACK_MIN

    public static final int LOOKBACK_MIN

  This constant identifies lookback options, with the minimum asset price realized from inception date until expiry as path dependent value.

  See Also:
    Constant Field Values

### NON_SPD

    public static final int NON_SPD

  This constant identifies non strogly path dependent options (vanilla options).

  See Also:
    Constant Field Values

### EXPLICIT

    public static final int EXPLICIT

  This constant identifies the explicit finite differencing algorithm

  See Also:
    Constant Field Values

### FULLY_IMPLICIT

    public static final int FULLY_IMPLICIT

  This constant identifies the fully implicit finite differencing algorithm

  See Also:
    Constant Field Values

### CRANCK_NICHOLSON

    public static final int CRANCK_NICHOLSON

  This constant identifies the Cranck-Nicholson finite differencing algorithm

  See Also:
    Constant Field Values

Constructor Detail

### ExoticOptionsConstants

    public ExoticOptionsConstants()

WebCab Options and Futures Demo v2.5 (J2SE Edition)